Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455358 - Review Request: xslthl - XSLT Syntax Highlighting for saxon and xalan
Summary: Review Request: xslthl - XSLT Syntax Highlighting for saxon and xalan
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nigel Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-15 02:15 UTC by Jeff Fearn 🐞
Modified: 2009-01-15 03:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-05 04:51:45 UTC
dev: fedora-review?


Attachments (Terms of Use)

Description Jeff Fearn 🐞 2008-07-15 02:15:29 UTC
Spec URL: http://jfearn.fedorapeople.org/files/xslthl.spec
SRPM URL: http://jfearn.fedorapeople.org/files/xslthl-1.3-2jpp.fc9.src.rpm
Description: This is an implementation of syntax highlighting as an extension module for XSLT processors, so if you have e.g. article about programming written in DocBook, code examples can be automatically syntax highlighted during the XSLT processing phase.

This package is the JPP package with gcj_support disabled. There is an xmllint complain about _libdir, however since gcj_support is disabled this warning is incorrect.

I disabled it because the gcj support is broken and there is no need for it since we open_jdk is tha bomb.

I left the gcj code in the spec file so that if someone wants to re-enable gcj support they can do so.

This package will be used by the next version of publican to allow syntax highlighting of code embedded in documentation.

Comment 1 Nigel Jones 2008-07-22 04:24:50 UTC
Will tackle this shortly.

Comment 2 Nigel Jones 2008-07-22 11:38:47 UTC
Hmmm so I should have taken a sneak peak at the spec file before, here are some 
initial concerns:

- The spec file is licensed - Not good, might be an idea to rewrite from 
scratch.
- Epoch: is not needed as it's zero - Another 'bad thing' in Fedora
- We don't require that packages have Requires for /bin/rm and /bin/ln, you can 
safely assume that these exist
- According to https://fedoraproject.org/wiki/Packaging/Java
-- The jpackage-utils dependency need to have a firm dependency  as well (not 
just a post/postun)
-- You don't need epochs for dependencies when they are 0,

It builds so your mostly there, but I'd sooner it be closer to the guidelines 
before I give it the big tick (hopefully any furthur changes would be minor 
enough you can just fix them upon import :))

Comment 3 Jeff Fearn 🐞 2008-09-11 06:26:31 UTC
I retrieved the latest source from the upstream developer and created a new spec file from scratch.

Spec URL: http://jfearn.fedorapeople.org/files/xslthl.spec
SRPM URL: http://jfearn.fedorapeople.org/files/xslthl-2.0.0.0.fc9.src.rpm

Comment 4 Nigel Jones 2008-10-13 01:01:36 UTC
(In reply to comment #3)
> I retrieved the latest source from the upstream developer and created a new
> spec file from scratch.
> 
> Spec URL: http://jfearn.fedorapeople.org/files/xslthl.spec
> SRPM URL: http://jfearn.fedorapeople.org/files/xslthl-2.0.0.0.fc9.src.rpm

Per https://fedoraproject.org/wiki/Packaging/Java#BuildRequires_and_Requires you need:

BR: java-devel >= 1:1.6.0
Depend: java >= 1:1.6.0

Seems to build with that, I'll finish the review on the basis that this has been done and we'll go from there.

Comment 5 Jeff Fearn 🐞 2008-10-13 06:21:58 UTC
http://jfearn.fedorapeople.org/files/xslthl.spec updated as requested.

Comment 7 Jeff Fearn 🐞 2009-01-05 04:51:45 UTC
Request withdrawn.


Note You need to log in before you can comment on or make changes to this bug.